Bug 146615 - Error inserting natsemi - after kernel update to 2.6.10
Summary: Error inserting natsemi - after kernel update to 2.6.10
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 2
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-30 19:07 UTC by Marc DeTrano
Modified: 2015-01-04 22:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 05:04:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc DeTrano 2005-01-30 19:07:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040924
Firefox/0.10

Description of problem:
After upgrading the kernel to 2.6.10-1.9_FC2, I was unable to start my
network interface.  In the system logs:

Jan 30 12:12:11 localhost modprobe: FATAL: Error inserting natsemi
(/lib/modules/2.6.10-1.9_FC2/kernel/drivers/net/natsemi.ko): Unknown
symbol in module, or unknown parameter (see dmesg)
Jan 30 12:12:11 localhost kernel: natsemi: Unknown parameter `irq'

I worked around the problem by removing:
options natsemi irq=10
from /etc/modules.conf

I think system-config-network has a tendency to insert this line.  It
looks as if the natsemi driver module does not support the option
(anymore).

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.9_FC2

How reproducible:
Always

Steps to Reproduce:
1. Install natsemi based NIC
2. Configure with system-config-network
3. modprobe natsemi
    

Actual Results:  system could not insert natsemi module.  eth0 would
not come up.

Expected Results:  successful detection of the network interface.

Additional info:

Comment 1 Brent Fox 2005-01-31 15:43:50 UTC
Possible duplicate of bug #146129?

Comment 2 Dave Jones 2005-02-02 04:18:51 UTC
should be fixed in the -1.753 kernel in updates-testing


Comment 3 Brent Fox 2005-02-02 19:30:37 UTC
Dave, should we dupe bug #146129 against this bug since you have a fix for it here?

Comment 4 Dave Jones 2005-04-16 05:04:44 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.